# Yelp Search

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1781994428159987712) to try this widget and copy the Pro Config template.

## Usage

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>query</td><td><code>string</code></td><td>The search query string that specifies what the search should be about.</td><td></td><td>true</td></tr><tr><td>location</td><td><code>string</code></td><td>defines from where you want the search to originate.</td><td></td><td>true</td></tr><tr><td>num_results</td><td><code>integer</code></td><td>The number of search results to return.</td><td>10</td><td>false</td></tr></tbody></table>

**Output Parameters**

| Name            | Type    | Description               | File Type |
| --------------- | ------- | ------------------------- | --------- |
| search\_results | `array` | The result of yelp search |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "search_results": [
    {
      "categories": [
        {
          "link": "https://www.yelp.com/search?find_desc=Ice+Cream+%26+Frozen+Yogurt\u0026amp;find_loc=Boston%2C+MA",
          "title": "Ice Cream \u0026 Frozen Yogurt"
        },
        {
          "link": "https://www.yelp.com/search?find_desc=Desserts\u0026amp;find_loc=Boston%2C+MA",
          "title": "Desserts"
        },
        {
          "link": "https://www.yelp.com/search?find_desc=Japanese\u0026amp;find_loc=Boston%2C+MA",
          "title": "Japanese"
        }
      ],
      "description": "Watch out bc the ice cream melts pretty fast, since the ice cream is sitting in a warm delicious...",
      "link": "https://www.yelp.com/biz/taiyaki-nyc-boston-boston?osq=Ice+Cream",
      "phone": "(617) 531-3514",
      "rating": 4.1,
      "reviews": 697,
      "title": "Taiyaki NYC - Boston"
    },
    {
      "categories": [
        {
          "link": "https://www.yelp.com/search?find_desc=Ice+Cream+%26+Frozen+Yogurt\u0026amp;find_loc=Boston%2C+MA",
          "title": "Ice Cream \u0026 Frozen Yogurt"
        },
        {
          "link": "https://www.yelp.com/search?find_desc=Custom+Cakes\u0026amp;find_loc=Boston%2C+MA",
          "title": "Custom Cakes"
        }
      ],
      "description": "Good ice cream with strong, unique flavors. Toscanini's Ice Cream is a medium sized ice cream shop...",
      "link": "https://www.yelp.com/biz/toscaninis-ice-cream-cambridge-3?osq=Ice+Cream",
      "phone": "(617) 491-5877",
      "rating": 4.4,
      "reviews": 1888,
      "title": "Toscanini’s Ice Cream"
    },
    {
      "categories": [
        {
          "link": "https://www.yelp.com/search?find_desc=Ice+Cream+%26+Frozen+Yogurt\u0026amp;find_loc=Boston%2C+MA",
          "title": "Ice Cream \u0026 Frozen Yogurt"
        },
        {
          "link": "https://www.yelp.com/search?find_desc=Desserts\u0026amp;find_loc=Boston%2C+MA",
          "title": "Desserts"
        },
        {
          "link": "https://www.yelp.com/search?find_desc=Macarons\u0026amp;find_loc=Boston%2C+MA",
          "title": "Macarons"
        }
      ],
      "description": "I did not order ice cream that looked like a rose, I ordered a cup but anyway it looks great as...",
      "link": "https://www.yelp.com/biz/amorino-gelato-boston?osq=Ice+Cream",
      "phone": "(617) 585-3185",
      "rating": 4.1,
      "reviews": 567,
      "title": "Amorino Gelato"
    },
    {
      "categories": [
        {
          "link": "https://www.yelp.com/search?find_desc=Bubble+Tea\u0026amp;find_loc=Boston%2C+MA",
          "title": "Bubble Tea"
        },
        {
          "link": "https://www.yelp.com/search?find_desc=Ice+Cream+%26+Frozen+Yogurt\u0026amp;find_loc=Boston%2C+MA",
          "title": "Ice Cream \u0026 Frozen Yogurt"
        }
      ],
      "description": "The ice cream on top was really good and had a rich matcha flavor.",
      "link": "https://www.yelp.com/biz/matcha-caf%C3%A9-maiko-boston?osq=Ice+Cream",
      "phone": "(617) 322-5360",
      "rating": 4.6,
      "reviews": 235,
      "title": "Matcha Café Maiko"
    },
    {
      "categories": [
        {
          "link": "https://www.yelp.com/search?find_desc=Ice+Cream+%26+Frozen+Yogurt\u0026amp;find_loc=Boston%2C+MA",
          "title": "Ice Cream \u0026 Frozen Yogurt"
        }
      ],
      "description": "They have a special New Zealand ice cream machine that mixes the ice cream with fruits and other...",
      "link": "https://www.yelp.com/biz/far-out-ice-cream-brookline?osq=Ice+Cream",
      "phone": "(617) 487-8102",
      "rating": 4.2,
      "reviews": 147,
      "title": "Far Out Ice Cream"
    }
  ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/ko/create/pro-config-mode/api-reference/widgets/21-yelp-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
